Py ERFA:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- PyERFA v2.0.0.1 »
- erfa Package »
- rxp

# rxp

erfa.rxp(r, p)

  Multiply a p-vector by an r-matrix.

  Parameters
    r double array
    p double array
  Returns
    rp double array

  Notes

  Wraps ERFA function `eraRxp`. The ERFA documentation is:

      - - - - - - -
       e r a R x p
      - - - - - - -

      Multiply a p-vector by an r-matrix.

      Given:
         r        double[3][3]    r-matrix
         p        double[3]       p-vector

      Returned:
         rp       double[3]       r * p

      Note:
         It is permissible for p and rp to be the same array.

      Called:
         eraCp        copy p-vector

      This revision:  2021 May 11

      Copyright (C) 2013-2021, NumFOCUS Foundation.
      Derived, with permission, from the SOFA library.  See notes at end of file.